Add provider to add local folder containing XYZ tiles

2018-08-28 07:07 PM - Ed B

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 27554

Description

I am able to create tiles using the Qtiles plugin.  I would like to be able to use those tiles directly in Qgis.  Could the XYZ provider by

modified to allow this type of tile layer?

History

#1 - 2018-08-28 07:10 PM - Giovanni Manghi

- Category changed from Data Provider to Web Services clients/XYZ

#2 - 2019-03-01 11:03 AM - Johannes Kroeger

- Resolution set to fixed/implemented

- Status changed from Open to Closed

You can do that using "XYZ Tiles" in the Browser. Prepend your local path with file:// and use a templating system like {z}/{x}/{y}.ext for the full paths. For

example file:///tmp/awesome_tiles/{z}/{x}/{y}.png
